// python wrapper for vtkGDCMPolyDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMPolyDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkGDCMPolyDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataWriter *op;

  const char    *temp20;
  op = (vtkGDCMPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataWriter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGDCMPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGDCMPolyDataWriter *op;

  vtkGDCMPolyDataWriter  *temp20;
  op = (vtkGDCMPolyDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGDCMPolyDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGDCMPolyDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGDCMPolyDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGDCMPolyDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkGDCMPolyDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGDCMPolyDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGDCMPolyDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGDCMPolyDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMPolyDataWriter\nC++: vtkGDCMPolyDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGDCMPolyDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMPolyDataWriter\nC++: vtkGDCMPolyDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGDCMPolyDataWriterDoc[] = {
  (char*)"vtkGDCMPolyDataWriter - writer DICOM PolyData files (Contour Data...)\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" For now only support RTSTRUCT (RT Structure Set Storage)\n .SECTION TODO\n Need to do the same job for DVH Sequence/DVH Data...\n .SECTION Warning\n\n\n",
  "See Also:\n\n vtkGDCMImageReader vtkMedicalImageReader2 vtkMedicalImageProperties\n\n",
  NULL
};

static vtkObjectBase *vtkGDCMPolyDataWriterStaticNew()
{
  return vtkGDCMPolyDataWriter::New();
}

PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGDCMPolyDataWriterStaticNew,
                        PyvtkGDCMPolyDataWriterMethods,
                        (char*)"vtkGDCMPolyDataWriter",modulename,
                        (char**)vtkGDCMPolyDataWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

